package com.fr.plugin.pack.source;

import com.finebi.api.criterion.Table;
import com.finebi.base.datasource.ConnectionCreator;
import com.fr.data.core.db.dialect.Dialect;
import com.fr.engine.sql.database.DataBaseSourceEngine;
import com.fr.plugin.pack.conf.PackPluginConfig;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

/**
 * @author Jonas
 * @version 5.1.3
 * Created by Jonas on 2020-10-20
 */
public class PackDBSourceEngine extends DataBaseSourceEngine {
    @Override
    protected ResultSet executeQuery(Connection conn, Statement statement, String sql, Table table, ConnectionCreator connectionCreator, Dialect dialect) throws SQLException {
        statement.setQueryTimeout(PackPluginConfig.getInstance().getSqlQueryTimeout());
        return dialect.executeQuery(statement, sql, conn);
    }
}
